using System;
using System.Collections.Generic;
using System.Text;

namespace Para
{
    public class Para<T> : IComparable<Para<T>>
            where T : IComparable<T>
    {
        private T pierwszy = default(T), drugi = default(T);

        public Para(T pierwszy, T drugi)
        {
            this.pierwszy = pierwszy;
            this.drugi = drugi;
        }

        public override string ToString()
        {
            return pierwszy.ToString() + "\t" + drugi.ToString();
        }

        public int CompareTo(Para<T> innaPara)
        {
            int wartosc = pierwszy.CompareTo(innaPara.pierwszy);
            if (wartosc != 0) return wartosc;
            else return drugi.CompareTo(innaPara.drugi);
        }
    }        
}
